oracle.xml.scalable

## Interface ContentManager

    public interface ContentManager

### Field Summary

Fields
`static byte` `ATTRIBUTE`
`static byte` `CDATA`
`static byte` `COMMENT`
`static byte` `DOCUMENT`
`static byte` `DOCUMENT_FRAGMENT`
`static byte` `ELEMENT`
`static byte` `PI`
`static byte` `TEXT`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `appendChild(java.lang.Object parentAddr, java.lang.Object childAddr)`
`int` `checkNodePermissions(java.lang.Object thisAddr, java.lang.Object newAddr, java.lang.Object refAddr)`
`java.lang.Object` `createAttribute(java.lang.String namespaceURI, java.lang.String qualifiedName)`
`java.lang.Object` `createCDATASection(java.lang.String data)`
`java.lang.Object` `createComment(java.lang.String data)`
`java.lang.Object` `createElement(java.lang.String namespaceURI, java.lang.String qualifiedName)`
`java.lang.Object` `createProcessingInstruction(java.lang.String target, java.lang.String data)`
`java.lang.Object` `createTextNode(java.lang.String data)`
`java.lang.Object` `getFirstAttribute()`
`java.lang.Object` `getFirstChild()`
`java.lang.String` `getLocalName()`
`java.lang.String` `getNamespaceURI()`
`java.lang.Object` `getNextSibling()`
`byte` `getNodeType()`
`java.lang.String` `getNodeValue()`
`java.lang.Object` `getParent()`
`java.lang.String` `getPrefix()`
`java.lang.Object` `getPreviousSibling()`
`java.lang.String` `getQName()`
`QxName` `getQxName()`
`java.lang.Object` `init()`
`void` `insertBefore(java.lang.Object newAddr, java.lang.Object refAddr)`
`boolean` `isNamespaceNode()`
`void` `removeNode(java.lang.Object nodeAddress)`
`void` `replaceChild(java.lang.Object newAddr, java.lang.Object oldAddr)`
`void` `seek(java.lang.Object address)`
`void` `setFirstAttribute(java.lang.Object address)`
`void` `setFirstChild(java.lang.Object address)`
`void` `setNextSibling(java.lang.Object address)`
`void` `setNodeValue(java.lang.String value)`
`void` `setParent(java.lang.Object address)`
`void` `setPreviousSibling(java.lang.Object address)`
`void` `setQName(java.lang.String namespace, java.lang.String qname)`

### Field Detail

#### ELEMENT

    static final byte ELEMENT

See Also:
  Constant Field Values

#### ATTRIBUTE

    static final byte ATTRIBUTE

See Also:
  Constant Field Values

#### TEXT

    static final byte TEXT

See Also:
  Constant Field Values

#### CDATA

    static final byte CDATA

See Also:
  Constant Field Values

#### PI

    static final byte PI

See Also:
  Constant Field Values

#### COMMENT

    static final byte COMMENT

See Also:
  Constant Field Values

#### DOCUMENT

    static final byte DOCUMENT

See Also:
  Constant Field Values

#### DOCUMENT_FRAGMENT

    static final byte DOCUMENT_FRAGMENT

See Also:
  Constant Field Values

### Method Detail

#### seek

    void seek(java.lang.Object address)
       throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### init

    java.lang.Object init()
                   throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### getParent

    java.lang.Object getParent()
                        throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### getFirstChild

    java.lang.Object getFirstChild()
                            throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### getNextSibling

    java.lang.Object getNextSibling()
                             throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### getPreviousSibling

    java.lang.Object getPreviousSibling()
                                 throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### getFirstAttribute

    java.lang.Object getFirstAttribute()
                                throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### getQName

    java.lang.String getQName()
                       throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### getNamespaceURI

    java.lang.String getNamespaceURI()
                              throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### getPrefix

    java.lang.String getPrefix()
                        throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### getLocalName

    java.lang.String getLocalName()
                           throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### getNodeValue

    java.lang.String getNodeValue()
                           throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### getNodeType

    byte getNodeType()
              throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### isNamespaceNode

    boolean isNamespaceNode()
                     throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### createAttribute

    java.lang.Object createAttribute(java.lang.String namespaceURI,
                                     java.lang.String qualifiedName)
                              throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### createElement

    java.lang.Object createElement(java.lang.String namespaceURI,
                                   java.lang.String qualifiedName)
                            throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### createTextNode

    java.lang.Object createTextNode(java.lang.String data)
                             throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### createCDATASection

    java.lang.Object createCDATASection(java.lang.String data)
                                 throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### createProcessingInstruction

    java.lang.Object createProcessingInstruction(java.lang.String target,
                                                 java.lang.String data)
                                          throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### createComment

    java.lang.Object createComment(java.lang.String data)
                            throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### setNodeValue

    void setNodeValue(java.lang.String value)
               throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### setParent

    void setParent(java.lang.Object address)
            throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### setFirstChild

    void setFirstChild(java.lang.Object address)
                throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### setNextSibling

    void setNextSibling(java.lang.Object address)
                 throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### setPreviousSibling

    void setPreviousSibling(java.lang.Object address)
                     throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### setFirstAttribute

    void setFirstAttribute(java.lang.Object address)
                    throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### setQName

    void setQName(java.lang.String namespace,
                  java.lang.String qname)
           throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### removeNode

    void removeNode(java.lang.Object nodeAddress)
             throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### appendChild

    void appendChild(java.lang.Object parentAddr,
                     java.lang.Object childAddr)
              throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### replaceChild

    void replaceChild(java.lang.Object newAddr,
                      java.lang.Object oldAddr)
               throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### insertBefore

    void insertBefore(java.lang.Object newAddr,
                      java.lang.Object refAddr)
               throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### checkNodePermissions

    int checkNodePermissions(java.lang.Object thisAddr,
                             java.lang.Object newAddr,
                             java.lang.Object refAddr)
                      throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

#### getQxName

    QxName getQxName()
              throws java.lang.RuntimeException

Throws:
  `java.lang.RuntimeException`

Copyright © 2003, 2018, Oracle and/or its affiliates. All rights reserved.